DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# GetLine

Get a line from an image

## SYNOPSIS

`#include "dip_manipulation.h"`

dip_Error dip_GetLine ( in, out, cor, dimension )

## DATA TYPES

binary, integer, float, complex

## FUNCTION

Get a orthogonal line form an image. The position of the line in the image is specified by the coordinates at which its left most pixel (`cor`) should be placed and on which dimension of the image, the dimension of the line maps (`dimension`). If `in` has If `in` has a different type than `out`, it will be converted to the type of `out`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input Image
`dip_Image` | `out` | Output Line Image
`dip_IntegerArray` | `cor` | Coordinate in the image of the left most pixel of the line
`dip_int` | `dimension` | Dimension of the image on which the line's dimension maps

## SEE ALSO

`GetSlice`, `PutSlice`, `PutLine`

DIPlib on-line documentation | Function reference | Global function index